Subject: Re: Pedump
From: [email-masked] (root)

4 Apr 1997 03:04:13 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
In-Reply-To: <01BC4024.F5AA24A0@gbird0> from "Colin Peters" at Apr 3, 97 11:48:31 am
Original-Sender: [email-masked]

A worried user wrote:

> >Tried that.  It made a very small lib (1514 bytes).  I have read 
> >about needing a .def and/or export file.  But nothing about how to 
> >make them, either :).
>
Minimalist Colin answered:
 
> As I mentioned before that command doesn't actually look at the DLL,
> but just builds a skeletal library with no exported functions.
>

And then I couldn't resist the temptation to make a small publicity page:

The equivalent of 'dlltool' in lcc is called 'implib'. The usage is much
easier:

implib somedll.dll

This will generate a file called 'somedll.lib'.

There are no switches, no options, no frills. I think this is much easier
to use and presents a better user-interface than dlltool. (Besides the
executable makes only 6K!)

Maybe the library generated is compatible with the gcc system, maybe not.

> Another option I have personally is a program called pedump. This
> came from the lcc free C compiler package
> (http://www.remcomp.com/lcc-win32/) and outputs a long dump of
> information including a list of exports. Apparently it was written
> originally by Matt Pietreck, so I might try searching for him to
> find the source.

The source can be found in Matt's excellent book: Windows 95 Programming
Secrets. It comes with the companion disquette. I started hacking pedump
with an older source Matt published in Microsoft System Journal. (He writes
a regular column there since years).

> With any of these options you then go and write a .def file (one
> line "EXPORTS" followed by function names one per line) to use with
> dlltool to get a real import library.

This should be done by 'dlltool' as my utility does... It is just a matter
of reading the export table in the dll... not a very difficult undertaking.

And now an important remark:

NO ROYALTIES (expressed or implied) are due by YOU if you use the lcc's version
of pedump. 

But since some people get uneasy at the thought of having something for
nothing, can't sleep at night, etc, they can cure themselves by sending me
a big amount of money of course...

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".